# tv_listings stripper to make tv listings xml compatible with flash
# Usage: perl listings_stripper.pl filename.xml
# outputs stripped xml -> filename.xml and saves full to filename.xml.bak
# @ARGV is argument into script

# takes original filename.xml and appends .bak saves all prints to new @ARGV file
$^I=".bak";

# go through filename.xml line by line
while (<>) {
	
	############################################
	#remove some whitespace so filename.xml is compatible with flash#
	############################################
	
	# remove carriage returns
	s/\012//;
	# remove leading whitespace
	s/^\s+//;
	
	#################################
	#remove some unwanted tags from filename.xml#
	#################################
	
	# remove <audio> or </audio> tag
	if (/^<(\/|)audio/) {
		next;	
	}
	# remove <credits> or </credits> tag
	if (/^<(\/|)credits/) {
		next;
	}
	# remove <actor> or </actor> tag
	if (/^<(\/|)actor/) {
		next;
	}
	# remove <stereo> or </stereo> tag
	if (/^<(\/|)stereo/) {
		next;	
	}
	# remove <present> or </present> tag
	if (/^<(\/|)present/) {
		next;	
	}
	# remove <director> or </director> tag
	if (/^<(\/|)director/) {
		next;	
	}
	# remove <subtitles> or </subtitles> tag
	if (/^<(\/|)subtitles/) {
		next;	
	}
	# remove <episode-num> or </subtitles> tag
	if (/^<(\/|)episode-num/) {
		next;	
	}
	# remove <episode-num> or </subtitles> tag
	if (/^<(\/|)previously-shown/) {
		next;	
	}
	# output new line to file
	print "$_";
	
}

# end of file